import { IDatabaseExpression, IFilterExpressionBuilder, IFilterQuery } from "@denis_bruns/foundation";
export declare abstract class BaseExpressionBuilder<T extends IDatabaseExpression> implements IFilterExpressionBuilder<T> {
    protected readonly pkName: string;
    constructor(pkName?: string);
    abstract buildFilterExpression(filters: IFilterQuery[]): T;
    protected extractPartitionKeyFilter(filters: IFilterQuery[]): {
        pkFilter?: IFilterQuery;
        remainingFilters: IFilterQuery[];
    };
    protected abstract buildSubExpression(expr: T, field: string, operator: string, value: any, index: number): string | object;
}
export declare function validatePagination(pagination?: any): void;
export declare function validateValue(value: any): void;
